Package org.springframework.context.annotation

# Interface AnnotationConfigRegistry

All Known Implementing Classes:
  `AnnotationConfigApplicationContext`

public interface AnnotationConfigRegistry
Common interface for annotation config application contexts, defining `register(java.lang.Class<?>...)` and `scan(java.lang.String...)` methods.

Since:
  4.1
Author:
  Juergen Hoeller

## Method Summary

Modifier and Type
Method
Description
`void`
`register(Class<?>... componentClasses)`
Register one or more component classes to be processed.
`void`
`scan(String... basePackages)`
Perform a scan within the specified base packages.

## Method Details

### register

void register(Class<?>... componentClasses)
Register one or more component classes to be processed.

Calls to `register` are idempotent; adding the same component class more than once has no additional effect.

Parameters:
  `componentClasses` - one or more component classes, for example, `@Configuration` classes

### scan

void scan(String... basePackages)
Perform a scan within the specified base packages.

Parameters:
  `basePackages` - the packages to scan for component classes